<?xml version="1.0"?>
<doc>
    <assembly>
        <name>CrystalDecisions.ReportAppServer.DataSetConversion</name>
    </assembly>
    <members>
        <member name="T:CrystalDecisions.ReportAppServer.DataSetConversion.DataSetConverter">
            <summary>
            Helper class for working with System.Data.DataSet and Report Application Server.
            </summary>
        </member>
        <member name="M:CrystalDecisions.ReportAppServer.DataSetConversion.DataSetConverter.AddDataSource(CrystalDecisions.ReportAppServer.ClientDoc.ReportClientDocument,System.Data.DataSet)">
            <summary>
            Adds a System.Data.DataSet as one of the data sources in the ReportClientDocument.
            </summary>
            <param name="rptClientDoc">The ReportClientDocument using the DataSet.</param>
            <param name="dataSet">The DataSet to be added.</param>
        </member>
        <member name="M:CrystalDecisions.ReportAppServer.DataSetConversion.DataSetConverter.SetDataSource(CrystalDecisions.ReportAppServer.ClientDoc.ReportClientDocument,System.Data.DataSet)">
            <summary>
            Sets the data source for the main ReportClientDocument.
            </summary>
            <param name="rptClientDoc">The main ReportClientDocument</param>
            <param name="dataSet">The DataSet to use for the main document.</param>
        </member>
        <member name="M:CrystalDecisions.ReportAppServer.DataSetConversion.DataSetConverter.SetDataSource(CrystalDecisions.ReportAppServer.ClientDoc.ReportClientDocument,System.Data.DataSet,System.String)">
            <summary>
            Sets the data source for the subreport.
            </summary>
            <param name="rptClientDoc">The main ReportClientDocument</param>
            <param name="dataSet">The DataSet to use for the subreport.</param>
            <param name="subreportName">The name of the subreport.</param>
        </member>
        <member name="M:CrystalDecisions.ReportAppServer.DataSetConversion.DataSetConverter.Convert(System.Data.DataSet)">
            <summary>
            Converts a DataSet to ISCRDataSet for use with Report Application Server.
            </summary>
            <param name="dataset"></param>
            <returns></returns>
        </member>
        <member name="M:CrystalDecisions.ReportAppServer.DataSetConversion.DataSetConverter.DataColumnToField(System.Data.DataColumn)">
            <summary>
            Converts a DataColumn to DBFieldClass for use with Report Application Server.
            </summary>
            <param name="column"></param>
            <returns></returns>
        </member>
    </members>
</doc>
